Package anbxj

# Enum Class AnB_ChannelType

java.lang.Object
java.lang.Enum<AnB_ChannelType>
anbxj.AnB_ChannelType

All Implemented Interfaces:
  `Serializable`, `Comparable<AnB_ChannelType>`, `Constable`

public enum AnB_ChannelType extends Enum<AnB_ChannelType>
AnB channel type enumerator

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PLAIN`
  standard PLAIN channel

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnB_ChannelType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnB_ChannelType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PLAIN

    public static final AnB_ChannelType PLAIN
    standard PLAIN channel

- ## Method Details

  - ### values

    public static AnB_ChannelType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnB_ChannelType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null